Package org.opensaml.xmlsec

# Interface AlgorithmPolicyConfiguration

All Known Subinterfaces:
  `DecryptionConfiguration`, `EncryptionConfiguration`, `SignatureSigningConfiguration`, `SignatureValidationConfiguration`

All Known Implementing Classes:
  `BasicAlgorithmPolicyConfiguration`, `BasicDecryptionConfiguration`, `BasicEncryptionConfiguration`, `BasicSignatureSigningConfiguration`, `BasicSignatureValidationConfiguration`

public interface AlgorithmPolicyConfiguration
Algorithm URI include/exclude policy configuration.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`AlgorithmPolicyConfiguration.Precedence`
Rule precedence values.

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getExcludedAlgorithms()`
Get the collection of excluded algorithm URIs.
`Collection<String>`
`getIncludedAlgorithms()`
Get the collection of included algorithm URIs.
`AlgorithmPolicyConfiguration.Precedence`
`getIncludeExcludePrecedence()`
Get preference value indicating which should take precedence when both include and exclude collections are non-empty.
`boolean`
`isExcludeMerge()`
Flag indicating whether to merge this configuration's excludes with one of a lower order of precedence, or to treat this exclude collection as authoritative.
`boolean`
`isIncludeMerge()`
Flag indicating whether to merge this configuration's includes with one of a lower order of precedence, or to treat this include collection as authoritative.

## Method Details

### getIncludedAlgorithms

@Nonnull @Unmodifiable @NotLive Collection<String> getIncludedAlgorithms()
Get the collection of included algorithm URIs.

Returns:
  the collection of algorithms

### isIncludeMerge

boolean isIncludeMerge()
Flag indicating whether to merge this configuration's includes with one of a lower order of precedence, or to treat this include collection as authoritative.

Returns:
  true if should merge, false otherwise

### getExcludedAlgorithms

@Nonnull @Unmodifiable @NotLive Collection<String> getExcludedAlgorithms()
Get the collection of excluded algorithm URIs.

Returns:
  the collection of algorithms

### isExcludeMerge

boolean isExcludeMerge()
Flag indicating whether to merge this configuration's excludes with one of a lower order of precedence, or to treat this exclude collection as authoritative.

Returns:
  true if should merge, false otherwise

### getIncludeExcludePrecedence

@Nonnull AlgorithmPolicyConfiguration.Precedence getIncludeExcludePrecedence()
Get preference value indicating which should take precedence when both include and exclude collections are non-empty.

Returns:
  the configured precedence value.